Cambrionix connect
Developers
Authentication API

Authorization

Generate oAuth2 auth tokens for use with your Services.

Get OAuth2 Token

GET

/oauth2/token

Get an OAuth2 token.

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/oauth2/token" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Exchange OAuth Token

POST

/oauth2/token

Exchange an OAuth token for another, mint a new token via client_credentials for a global service, or complete an authorization_code / refresh_token grant for an MCP client.

Request body

any of

Option 1: any of

Option 2: object

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/v1/oauth2/token" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "audience": "string",
  "grant_type": "urn:ietf:params:oauth:grant-type:token-exchange",
  "scope": "string",
  "subject": "string",
  "subject_token": "string",
  "subject_token_type": "string",
  "subject_type": "string"
}'

Get Effective Permissions

GET

/organization/effective-permissions

Get the user or service account the access token was issued to, and every permission it can use in the organization. Use it to check what a token can do before calling an endpoint.

Requires a bearer access token for this API. See Authentication.

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/organization/effective-permissions" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Organization OpenId configuration

GET

/organizations/{organizationId}/.well-known/openid-configuration

Get the OpenId configuration of a given organization

Parameters

organizationIdstringpathrequired

The Organization id.

Responses

200

The Organization's OpenId configuration.

object
issuerstringrequired
authorization_endpointstringrequired
token_endpointstringrequired
jwks_uristringrequired
response_types_supportedstring[]required
subject_types_supportedstring[]required
id_token_signing_alg_values_supportedany[]required
scopes_supportedany[]required
claims_supportedany[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/.well-known/openid-configuration" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Authorization Token

GET

/organizations/{organizationId}/oauth2/authorize

Get an authorization token. This method is guaranteed to fail since no response_types are supported.

Requires a bearer access token for this API. See Authentication.

Parameters

organizationIdstringpathrequired

The Organization id.

Responses

default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/oauth2/authorize" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Organization Keys

GET

/organizations/{organizationId}/oauth2/keys

Get public keys used to validate API oAuth tokens provided to the organization.

Parameters

organizationIdstringpathrequired

The Organization id.

Responses

200

A list of jwk keys.

object
keysobject[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/oauth2/keys" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Exchange Organization OAuth Token (GET)

GET

/organizations/{organizationId}/oauth2/token

Exchange one oAuth token for another.

Parameters

organizationIdstringpathrequired

The Organization id.

grant_typestringqueryrequired

The grant type. We currently only support token-exchange & client_credentials.

One of: "urn:ietf:params:oauth:grant-type:token-exchange", "client_credentials"

subject_token_typestringqueryrequired

subject token type

One of: "urn:ietf:params:oauth:token-type:access_token"

audiencestringqueryrequired

The id of the API service the token will be used for.

subjectstringqueryrequired

The id of the entity this token is being used by e.g Service ID or User Id.

subject_typestringqueryrequired

The the type of subject being used. Either service or user.

One of: "service", "user"

subject_tokenstringquery

Token (Generated in B2C) used to authenticate the user. Not required if using the client_credentials grant type.

client_idstringquery

The client_id for the API Service

scopestringquery

Scopes requested in final token. These are validated against the roles/permissions of the service/user.

client_secretstringquery

The client_secret for the API Service. Required if using the client_credentials grant type.

Responses

200

An access token for the given Service

object
access_tokenstringrequired
issued_token_typestringrequired

One of: "urn:ietf:params:oauth:token-type:access_token"

token_typestringrequired

One of: "bearer"

expires_innumberrequired
scopestringrequired
default

Unexpected Error

object
errorstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/oauth2/token?grant_type=<grant_type>&subject_token_type=<subject_token_type>&audience=<audience>&subject=<subject>&subject_type=<subject_type>" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Exchange Organization OAuth Token (POST)

POST

/organizations/{organizationId}/oauth2/token

Exchange one oAuth token for another.

Parameters

organizationIdstringpathrequired

The Organization id.

grant_typestringqueryrequired

The grant type. We currently only support token-exchange & client_credentials.

One of: "urn:ietf:params:oauth:grant-type:token-exchange", "client_credentials"

subject_token_typestringqueryrequired

subject token type

One of: "urn:ietf:params:oauth:token-type:access_token"

audiencestringqueryrequired

The id of the API service the token will be used for.

subjectstringqueryrequired

The id of the entity this token is being used by e.g Service ID or User Id.

subject_typestringqueryrequired

The the type of subject being used. Either service or user.

One of: "service", "user"

subject_tokenstringquery

Token (Generated in B2C) used to authenticate the user. Not required if using the client_credentials grant type.

client_idstringquery

The client_id for the API Service

scopestringquery

Scopes requested in final token. These are validated against the roles/permissions of the service/user.

client_secretstringquery

The client_secret for the API Service. Required if using the client_credentials grant type.

Responses

200

An access token for the given Service

object
access_tokenstringrequired
issued_token_typestringrequired

One of: "urn:ietf:params:oauth:token-type:access_token"

token_typestringrequired

One of: "bearer"

expires_innumberrequired
scopestringrequired
default

Unexpected Error

object
errorstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/oauth2/token?grant_type=<grant_type>&subject_token_type=<subject_token_type>&audience=<audience>&subject=<subject>&subject_type=<subject_type>" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"